<?php
/**
 * @package Feminine Style Lite
 * @subpackage feminine-style-lite
 * @since feminine-style-lite 1.0
 * Setup the WordPress core custom header feature.
 *
 * @uses feminine_style_lite_header_style()
*/

function feminine_style_lite_custom_header_setup() {

	add_theme_support( 'custom-header', apply_filters( 'feminine_style_lite_custom_header_args', array(
		'default-text-color' => 'fff',
		'header-text' 	     =>	false,
		'width'              => 1400,
		'height'             => 80,
		'flex-height'        => true,
	    'flex-width'         => true,
		'wp-head-callback'   => 'feminine_style_lite_header_style',
	) ) );

}

add_action( 'after_setup_theme', 'feminine_style_lite_custom_header_setup' );

if ( ! function_exists( 'feminine_style_lite_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see feminine_style_lite_custom_header_setup().
 */
add_action( 'wp_enqueue_scripts', 'feminine_style_lite_header_style' );
function feminine_style_lite_header_style() {
	//Check if user has defined any header image.
	if ( get_header_image() ) :
	$feminine_style_lite_custom_css = "
        .middle-header{
			background-image:url('".esc_url(get_header_image())."');
			background-position: center top;
			background-size: 100% 100%;
		}
		";
	   	wp_add_inline_style( 'feminine-style-lite-basic-style', $feminine_style_lite_custom_css );
	endif;
}
endif; // feminine_style_lite_header_style
